# Freedomain Social Media Poster

Social Media Poster created for the [Freedomain Philosophy Show](https://freedomain.com/)

![Alt text](Assets/Screenshots/Main_Screen_Screenshot.png "Screenshot of Main Window")


## Features
Automated posting to the following social media platforms, utilizing either the platform's API, or automated input through Chrome utilizing Selenium Webdriver for platforms with no available APIs.
- Discord [API]
- Telegram [API]
- Subscribestar [Selenium]
- Minds [Selenium]
- Gab [Selenium]
- Locals [Selenium]
- Twetch [Selenium]
- MeWe [Selenium]
- Linkedin [Selenium]
- Thinkspot [Selenium]
- Flote [Selenium]
- Parler [Selenium]
- Steemit [Selenium]
- Bastyon [Selenium]
- Gettr [Selenium]


# Installation
1.  Install .Net Framework 3.5 
	- This can be installed directly through Windows by going to Start > Turn Windows Features On or Off > check the checkbox next to “.NET Framework 3.5” > Click OK
2. 	Install SeleniumBasic to control Chrome
	- https://github.com/florentbr/SeleniumBasic/releases/tag/v2.0.9.0
	- Make sure to “Run as Administrator” on the file when installing so that it gets installed to `C:\Program Files\SeleniumBasic`. Otherwise it will get installed to `\AppData\` and the Uploader will not be able to connect to Selenium and to Chrome.
3.	Download latest ChromeDriver for your Chrome version so Selenium can connect to Chrome for automation
	- Open Chrome and type in `about::version` into the URL bar. The very first line will tell you what Chrome version you have
	- https://chromedriver.chromium.org/downloads
	- Extract “chromedriver_win32.zip” and move the extracted chromedriver.exe to: `C:\Program Files\SeleniumBasic\chromedriver.exe`


# Uncaught Script Errors 
I’ve done my best to catch any possible errors that might pop up and write functionality to handle them. But there might be ones that I haven’t found yet. If an error happens it will pop up a message box that looks like this. If you get any errors like this please send me a screenshot so I can write a patch for the bug. 

![Alt text](Assets/Screenshots/Error_Message_Example.png "Error Message")



## Todo
- Convert .docx files to markdown
	- Add note about pinning tool to taskbar
- Add Chromedriver auto updater functionality
